Subject: Re: bug#12788: cl-loop-handler, cl-loop-for-handler

From: Stefan Monnier <[email-masked]>
Date: Fri, 02 Nov 2012 22:29:29 -0400

> It seems to me that cl-loop-handler, cl-loop-for-handler should not have
> been renamed to cl--loop-handler and cl--loop-for-handler.
> They are advertised methods to customize the `cl-loop', rather than
> internal details..

Oops, looks like you're right.  Could you rename them back in emacs-24?

> PS I don't know what (if anything) should happen in this case, but I
> also want to point out that cl-gensym-counter and cl-random-state are
> documented in cl.texi, but have been renamed with cl-- prefixes.

I think we should de-document them.  We can add compatibility aliases
for them to cl.el if needed.

        Stefan